import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["children", "toolbar", "bordered", "disableCheckered", "disablePreview", "disableCode", "disableToolbar", "text", "copied", "toolbarExtra", "code", "prefixCls", "className"];
import { forwardRef, useState } from 'react';
import { Copied } from './Copied';
import { ExpandIcon } from './icons';
import './styles.css';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

/** react-code-preview-layout 缩写 */
var PRE_FIX = 'w-rcpl';
var CodeLayout = /*#__PURE__*/forwardRef((props, ref) => {
  var [showCode, setShowCode] = useState(false);

  var {
    children,
    toolbar,
    bordered = true,
    disableCheckered = false,
    disablePreview = false,
    disableCode = false,
    disableToolbar = false,
    text = '',
    copied = true,
    toolbarExtra,
    code,
    prefixCls = PRE_FIX,
    className
  } = props,
      other = _objectWithoutPropertiesLoose(props, _excluded);

  var cls = [prefixCls, className, bordered ? "w-bordered" : null, disableCheckered ? "w-disable-checkered" : null].filter(Boolean).join(' ').trim();
  return /*#__PURE__*/_jsxs("div", _extends({
    ref: ref
  }, other, {
    className: cls,
    children: [!disablePreview && /*#__PURE__*/_jsx("div", {
      className: prefixCls + "-preview",
      children: children
    }), !disableToolbar && /*#__PURE__*/_jsxs("div", {
      className: prefixCls + "-toolbar",
      children: [/*#__PURE__*/_jsx("div", {
        className: prefixCls + "-title",
        children: toolbar
      }), /*#__PURE__*/_jsxs("div", {
        className: prefixCls + "-extra",
        children: [toolbarExtra, copied && /*#__PURE__*/_jsx(Copied, {
          text: text
        }), !disableCode && /*#__PURE__*/_jsx("button", {
          onClick: () => setShowCode(!showCode),
          children: /*#__PURE__*/_jsx(ExpandIcon, {})
        })]
      })]
    }), !disableCode && /*#__PURE__*/_jsx("div", {
      className: prefixCls + "-code " + (showCode ? 'w-display' : 'w-hidden'),
      children: code
    })]
  }));
});
export default CodeLayout;
//# sourceMappingURL=index.js.map